Subject: Review

From: Gabriel Wicki <[email-masked]>
Date: Tue, 26 Nov 2024 23:52:35 +0100

hello there!

thanks for the submission!

general remarks:  try not to duplicate the synopsis in the description,
otherwise everything looks fine!

some questions/remarks:

 - why disable building examples and demo in qt-advanced-docking-system?

 - i am not sure the (chdir "../source") is necessary in qtpromise.
   can't you (substitute* "../source/include/QtPromise" ...) directly?

 - wouldn't it be nicer to call the variable (and the package)
   widget-animation-framework instead of widgetanimationframework?
   or qt-widget-animation-framework?

 - what does the (snippet ...) do in widgetanimationframework?  you
   could comment why this is necessary

have a nice week
gabber